Module javafx.base
Package javafx.beans.property

# Class DoublePropertyBase

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.DoubleExpression
javafx.beans.property.ReadOnlyDoubleProperty
javafx.beans.property.DoubleProperty
javafx.beans.property.DoublePropertyBase

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`

Direct Known Subclasses:
  `SimpleDoubleProperty`, `StyleableDoubleProperty`

    public abstract class DoublePropertyBase
    extends DoubleProperty

The class `DoublePropertyBase` is the base class for a property wrapping a `double` value. It provides all the functionality required for a property except for the `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()` methods, which must be implemented by extending classes.

Since:
  JavaFX 2.0
See Also:
  `DoubleProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DoublePropertyBase()` | The constructor of the `DoublePropertyBase`.
  `DoublePropertyBase​(double initialValue)` | The constructor of the `DoublePropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.
  `protected void` | `invalidated()` | The method `invalidated()` can be overridden to receive invalidation notifications.
  `String` | `toString()` | Returns a string representation of this `DoublePropertyBase` object.

  ### Methods declared in class javafx.beans.property.DoubleProperty

  `asObject, doubleProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyDoubleProperty

  `readOnlyDoubleProperty`

  ### Methods declared in class javafx.beans.binding.DoubleExpression

  `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableDoubleValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableDoubleValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### DoublePropertyBase

    public DoublePropertyBase()
    The constructor of the `DoublePropertyBase`.

  - ### DoublePropertyBase

    public DoublePropertyBase​(double initialValue)
    The constructor of the `DoublePropertyBase`.
    Parameters:
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method is called when the value is changed, either manually by calling `WritableDoubleValue.set(double)` or in case of a bound property, if the binding becomes invalid.

  - ### invalidated

    protected void invalidated()
    The method `invalidated()` can be overridden to receive invalidation notifications. This is the preferred option in `Objects` defining the property, because it requires less memory. The default implementation is empty.

  - ### toString

    public String toString()
    Returns a string representation of this `DoublePropertyBase` object.
    Overrides:
      `toString` in class `DoubleProperty`
    Returns:
      a string representation of this `DoublePropertyBase` object.